#
# spec file for package flim-xemacs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flim-xemacs
BuildRequires:  compface
BuildRequires:  xemacs
Requires:       xemacs
Version:        1.14.7
Release:        bp156.3.51
Url:            ftp://ftp.m17n.org/pub/mule/flim/
# original source is gzipped.
Source0:        ftp://ftp.m17n.org/pub/mule/flim/flim-1.14/flim-1.14.7.tar.bz2
Patch0:         fix-build.patch
Patch1:         autoloads.patch
Summary:        Lisp Library for Basic Features Concerning Internet Messages
#Summary(ja):  Internet message に関する基礎的な機能を提供するための汎用部品です。
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define prefix  /usr

%description
FLIM is a library that provides basic features about message
representation or encoding.



%prep
%setup -q -n flim-%{version}
%patch0 -p1
%patch1 -p1

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
make package PACKAGEDIR=%{xemacs_package_dir}

%install
make install-package PACKAGEDIR=$RPM_BUILD_ROOT%{xemacs_package_dir}

%files 
%defattr(-,root,root)
%doc FLIM* ChangeLog NEWS README* VERSION
%dir %{xemacs_package_dir}/
%{xemacs_package_dir}/*

%changelog
* Tue Feb 20 2018 crrodriguez@opensuse.org
- remove  krb5 libpng-devel, libtiff-devel, openldap2-devel,
  xorg-x11-devel from buildrequires.
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Tue Dec  4 2007 mfabian@suse.de
- remove openldap2 from BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed May 18 2005 mfabian@suse.de
- fix build with XEmacs 21.5.20 (function 'batch-update-directory'
  has disappeared in XEmacs 21.5.20).
* Mon Jan  3 2005 mfabian@suse.de
- update to 1.14.7.
- fix build with XEmacs 21.5.18 (the variable
  'generated-autoload-file' apparently needs to be set otherwise
  XEmacs does not write ./auto-autoloads.el but write
  /usr/share/xemacs/21.5.18/lisp/auto-autoloads.el instead
  which is not writable when not building as root and which is
  probably the wrong place to write the semi autoloads anyway.
* Wed Feb  4 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Sat Aug 23 2003 mfabian@suse.de
- update to version 1.14.5.
* Fri Aug 22 2003 mfabian@suse.de
- add xemacs-packagages and xemacs-packages-info to
  "# neededforbuild".
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir %%{xemacs_package_dir}/ to file list
* Thu Mar  6 2003 ro@suse.de
- removed cyrus-sasl from neededforbuild
* Wed Nov 13 2002 ro@suse.de
- use x-devel-packages in neededforbuild
* Mon Aug 12 2002 ro@suse.de
- added canna-libs to neededforbuild
* Sun Aug 11 2002 mfabian@suse.de
- update to version 1.14.4
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Aug 10 2001 mfabian@suse.de
- update to version 1.14.3
* Mon May  7 2001 mfabian@suse.de
- bzip2 source
* Sat Mar 24 2001 mfabian@suse.de
- new package: flim-xemacs, version 1.13.2
